use DataScience
go

drop table if exists dbo.from_yahoo

create table dbo.from_yahoo(
   [Date] [date] NULL,
   [Open] DECIMAL(19,4) NULL,
   [High] DECIMAL(19,4) NULL,
   [Low] DECIMAL(19,4) NULL,
   [Close] DECIMAL(19,4) NULL,
   [ADJ Close] DECIMAL(19,4) NULL,
   [Volume] float NULL
)
go

drop table if exists dbo.symbol_date

create table dbo.symbol_date(
   [Symbol] nvarchar(10) not NULL,   
   [Date] [date] not NULL,
   [Open] DECIMAL(19,4) NULL,
   [High] DECIMAL(19,4) NULL,
   [Low] DECIMAL(19,4) NULL,
   [Close] DECIMAL(19,4) NULL,
   [Volume] float NULL
)
go

alter table symbol_date
add constraint pk_symbol_date primary key (symbol,date);

----------------------------------------------------------------------------------------------------------

-- bulk insert raw download for SPY into dbo.from_yahoo
bulk insert dbo.from_yahoo
from 'C:\DataScienceSamples\Correlating_index_etfs_with_econ_indicators\SPY_from_yahoo_on_10_31_2022.csv'
with
(	
    firstrow = 2,
    fieldterminator = ',',  --CSV field delimiter
    rowterminator = '\n'
)

-- echo bulk insert
select * from dbo.from_yahoo

-- populate symbol_date with contents for SPY
insert into symbol_date
select
 'SPY' symbol
,cast([date] as date)
,[open]
,[high]
,[low]
,[close]
,[volume]
from dbo.from_yahoo

-- echo transferred data from dbo.from_yahoo
select * from symbol_date

----------------------------------------------------------------------------------------------------------

truncate table dbo.from_yahoo

-- bulk insert raw download for QQQ into dbo.from_yahoo
bulk insert dbo.from_yahoo
from 'C:\DataScienceSamples\Correlating_index_etfs_with_econ_indicators\QQQ_from_yahoo_on_10_31_2022.csv'
with
(	
    firstrow = 2,
    fieldterminator = ',',  --CSV field delimiter
    rowterminator = '\n'
)

-- echo bulk insert
select * from dbo.from_yahoo

-- populate symbol_date with contents for SPY
insert into symbol_date
select
 'QQQ' symbol
,cast([date] as date)
,[open]
,[high]
,[low]
,[close]
,[volume]
from dbo.from_yahoo

-- echo transferred data from dbo.from_yahoo
select * from symbol_date

----------------------------------------------------------------------------------------------------------

truncate table dbo.from_yahoo

-- bulk insert raw download for QQQ into dbo.from_yahoo
bulk insert dbo.from_yahoo
from 'C:\DataScienceSamples\Correlating_index_etfs_with_econ_indicators\DIA_from_yahoo_on_10_31_2022.csv'
with
(	
    firstrow = 2,
    fieldterminator = ',',  --CSV field delimiter
    rowterminator = '\n'
)

-- echo bulk insert
select * from dbo.from_yahoo

-- populate symbol_date with contents for SPY
insert into symbol_date
select
 'DIA' symbol
,cast([date] as date)
,[open]
,[high]
,[low]
,[close]
,[volume]
from dbo.from_yahoo

-- echo transferred data from dbo.symbol_date
select * from symbol_date

----------------------------------------------------------------------------------------------------------
----------------------------------------------------------------------------------------------------------

-- populate dbo.source_data for [dbo].[usp_ema_computer_with_dec_vals] proc
drop table if exists dbo.source_data

select * into dbo.source_data from symbol_date

alter table source_data
add constraint pk_symbol_date_source_data primary key (symbol,date);

-- optionally echo symbol_date and source_data tables for stored proc
-- select * from symbol_date
-- select * from source_data